MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025568Community[OCCT] OCCT:Modeling Algorithmspublic2014-12-08 19:202015-05-14 15:32
Reportershoogen 
Assigned Tobugmaster 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian 6.0OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025568: SIGSEGV in thrusections with edge without 3D curve
DescriptionThe shape Loft-01-section is valid. The shape Loft-00-section is invalid (BRepCheck_No3DCurve). Creating a loft between those two causes a SIGSEGV.

versions tested:
6.7.0
6.8.1.dev-c0bd0de (master of 2014-12-05)
Steps To Reproducepload MODELING
restore loft-inv1-draw-Loft-00-section.brep Loft-00-section
restore loft-inv1-draw-Loft-01-section.brep Loft-01-section
thrusections Loft 0 0 Loft-00-section Loft-01-section
donly Loft

The test case is bugs modalg_5 bug25568.
Additional information
and documentation updates
Program received signal SIGSEGV, Segmentation fault.
0x00007f03736625f6 in Geom_Geometry::Transformed (this=0x0, T=...) at occt/src/Geom/Geom_Geometry.cxx:152
152 Handle(Geometry) G = me->Copy();
(gdb) bt
#0 0x00007f03736625f6 in Geom_Geometry::Transformed (this=0x0, T=...) at occt/src/Geom/Geom_Geometry.cxx:152
0000001 0x00007f0371b1138f in DetectKPart (Edge1=..., Edge2=...) at occt/src/BRepFill/BRepFill_Generator.cxx:100
0000002 0x00007f0371b14df4 in BRepFill_Generator::Perform (this=0x7fff56348060) at occt/src/BRepFill/BRepFill_Generator.cxx:651
#3 0x00007f036f9aad22 in BRepOffsetAPI_ThruSections::CreateRuled (this= 0x7fff56348580) at occt/src/BRepOffsetAPI/BRepOffsetAPI_ThruSections.cxx:423
#4 0x00007f036f9aabd1 in BRepOffsetAPI_ThruSections::Build (this= 0x7fff56348580) at /occt/src/BRepOffsetAPI/BRepOffsetAPI_ThruSections.cxx:397
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug25568
Attached Files? file icon loft-inv1-draw-Loft-00-section.brep (2,732 bytes) 2014-12-08 19:20
? file icon loft-inv1-draw-Loft-01-section.brep (2,930 bytes) 2014-12-08 19:20

- Relationships

-  Notes
(0035178)
git (administrator)
2014-12-09 03:09

Branch CR25568 has been created by msv.

SHA-1: 90c189ce204c040f13207bc5d492acf55ad01566


Detailed log of new commits:

Author: msv
Date: Tue Dec 9 01:50:41 2014 +0300

    0025568: SIGSEGV in thrusections with edge without 3D curve
    
    -Set algorithm flag NotDone if there is a non-degenerated edge with absent 3D curve.
    -Check IsDone flag in thrusection command.
    -Add test case bugs/modalg_5/bug25568.
(0035179)
msv (developer)
2014-12-09 03:12

Please review.
(0035254)
jgv (developer)
2014-12-10 13:07

Ok.
(0035286)
mkv (tester)
2014-12-10 20:10

Dear BugMaster,
Branch CR25568 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 90c189ce204c040f13207bc5d492acf55ad01566

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests.nnov.opencascade.com/CR25568-master-occt/Debian60-64/bugs/modalg_5/bug25568.html [^]
http://occt-tests.nnov.opencascade.com/CR25568-master-occt/Windows-32-VC10/bugs/modalg_5/bug25568.html [^]
bugs modalg_5(010) bug25568: OK

Testing on Linux:
occt component :
Total MEMORY difference: 363481604 / 363562240
Total CPU difference: 46477.31000000036 / 47537.4299999999
products component :
Total MEMORY difference: 111894764 / 111752128
Total CPU difference: 15680.669999999975 / 15933.769999999982

Testing on Windows:
occt component :
Total MEMORY difference: 277392660 / 277181316
Total CPU difference: 35284.0625 / 41681.890625
products component :
Total MEMORY difference: 72464336 / 71216368
Total CPU difference: 10349.546875 / 13037.484375

There are no differences in images found by testdiff.
(0035287)
git (administrator)
2014-12-10 20:13

Branch CR25568 has been updated by mkv.

SHA-1: ceb84ef61e08bdb74fb3e441fead297c4093e345


Detailed log of new commits:

Author: mkv
Date: Wed Dec 10 20:12:42 2014 +0300

    Small correction of test case for issue CR25568

(0036576)
git (administrator)
2015-01-26 12:35

Branch CR25568 has been deleted by inv.

SHA-1: ceb84ef61e08bdb74fb3e441fead297c4093e345

- Related Changesets
occt: master a4bb1420
Timestamp: 2014-12-11 13:42:45
Author: msv
Committer: bugmaster
Details ] Diff ]
0025568: SIGSEGV in thrusections with edge without 3D curve

-Set algorithm flag NotDone if there is a non-degenerated edge with absent 3D curve.
-Check IsDone flag in thrusection command.
-Add test case bugs/modalg_5/bug25568.

Small correction of test case for issue CR25568
mod - src/BRepFill/BRepFill_Generator.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_ThruSections.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_SweepCommands.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug25568 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-12-08 19:20 shoogen New Issue
2014-12-08 19:20 shoogen Assigned To => msv
2014-12-08 19:20 shoogen File Added: loft-inv1-draw-Loft-00-section.brep
2014-12-08 19:20 shoogen File Added: loft-inv1-draw-Loft-01-section.brep
2014-12-08 23:41 msv Description Updated View Revisions
2014-12-09 03:09 git Note Added: 0035178
2014-12-09 03:12 msv Note Added: 0035179
2014-12-09 03:12 msv Assigned To msv => jgv
2014-12-09 03:12 msv Status new => resolved
2014-12-09 03:12 msv Steps to Reproduce Updated View Revisions
2014-12-10 13:07 jgv Note Added: 0035254
2014-12-10 13:07 jgv Assigned To jgv => bugmaster
2014-12-10 13:07 jgv Status resolved => reviewed
2014-12-10 13:55 mkv Assigned To bugmaster => mkv
2014-12-10 20:10 mkv Note Added: 0035286
2014-12-10 20:10 mkv Assigned To mkv => bugmaster
2014-12-10 20:10 mkv Status reviewed => tested
2014-12-10 20:13 git Note Added: 0035287
2014-12-10 20:13 mkv Test case number => bugs modalg_5(010) bug25568
2014-12-16 16:46 bugmaster Changeset attached => occt master a4bb1420
2014-12-16 16:46 bugmaster Status tested => verified
2014-12-16 16:46 bugmaster Resolution open => fixed
2015-01-19 16:21 bugmaster Target Version => 6.9.0
2015-01-26 12:35 git Note Added: 0036576
2015-05-14 15:29 user533 Status verified => closed
2015-05-14 15:32 user533 Fixed in Version => 6.9.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker